# Calls

Operations related to calls

## Get all Calls

> Returns a list of calls with pagination support.

```json
{"openapi":"3.0.0","info":{"title":"Salescaling API","version":"1.0"},"tags":[{"name":"Calls","description":"Operations related to calls"}],"servers":[{"url":"https://api.salescaling.com","description":"Base API URL"}],"security":[{},{"bearer":[]}],"paths":{"/api/v1/calls":{"get":{"operationId":"PublicApiCallController_getCalls","summary":"Get all Calls","description":"Returns a list of calls with pagination support.","parameters":[{"name":"page","required":false,"in":"query","description":"Page number to retrieve.","schema":{"type":"number"}},{"name":"limit","required":false,"in":"query","description":"Number of items per page.","schema":{"type":"number"}},{"name":"name","required":false,"in":"query","description":"Call name to filter calls by (partial match).","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiGetCallsResponseDto"}}}},"401":{"description":"Unauthorized - missing or invalid API key or Bearer token"}},"tags":["Calls"]}}},"components":{"schemas":{"PublicApiGetCallsResponseDto":{"type":"object","properties":{"statusCode":{"type":"number","default":200},"count":{"type":"number"},"error":{"type":"string","nullable":true},"data":{"$ref":"#/components/schemas/PublicApiCallDto"}},"required":["statusCode","count","error","data"]},"PublicApiCallDto":{"type":"object","properties":{"callId":{"type":"string","description":"Unique identifier for the call"},"status":{"type":"string","enum":["processing","completed"],"description":"Current status of the call"},"name":{"type":"string","description":"Name or title of the call"},"startDateTime":{"format":"date-time","type":"string","description":"Date and time when the call started"},"endDateTime":{"format":"date-time","type":"string","description":"Date and time when the call ended"},"duration":{"type":"number","description":"Duration of the call in seconds"},"description":{"type":"string","description":"Detailed description of the call"},"language":{"type":"string","description":"Language of the call in ISO 639-1 format"},"direction":{"type":"string","description":"Direction of the call (inbound/outbound)"},"fromNumber":{"type":"string","description":"Phone number of the caller"},"toNumber":{"type":"string","description":"Phone number of the callee"},"callType":{"description":"Call type associated with this call","allOf":[{"$ref":"#/components/schemas/PublicApiMeetingCallTypeDto"}]},"aiScore":{"type":"number","description":"AI score or rating of the call"},"url":{"type":"string","description":"URL of the call"}},"required":["callId","status","name","startDateTime","direction","url"]},"PublicApiMeetingCallTypeDto":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier for the call type"},"name":{"type":"string","description":"Descriptive name of the call type"}},"required":["id","name"]}}}}
```

## Upload Call

> Uploads a call. You can either provide a mediaUrl in the body or upload a file directly.

```json
{"openapi":"3.0.0","info":{"title":"Salescaling API","version":"1.0"},"tags":[{"name":"Calls","description":"Operations related to calls"}],"servers":[{"url":"https://api.salescaling.com","description":"Base API URL"}],"security":[{},{"bearer":[]}],"paths":{"/api/v1/calls/upload":{"post":{"operationId":"PublicApiCallController_uploadCall","summary":"Upload Call","description":"Uploads a call. You can either provide a mediaUrl in the body or upload a file directly.","parameters":[],"requestBody":{"required":true,"description":"Call data and optional file upload","content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/PublicApiCallUploadRequestDto"}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiPostCallUploadResponseDto"}}}},"401":{"description":"Unauthorized - missing or invalid API key or Bearer token"}},"tags":["Calls"]}}},"components":{"schemas":{"PublicApiCallUploadRequestDto":{"type":"object","properties":{"name":{"type":"string","description":"Name of the call for uploading"},"mediaUrl":{"type":"string","description":"URL of the media file to upload (alternative to file upload)"},"startDateTime":{"format":"date-time","type":"string","description":"Scheduled start date and time of the call"},"description":{"type":"string","description":"Description of the call"},"fromNumber":{"type":"string","description":"Phone number of the caller"},"toNumber":{"type":"string","description":"Phone number of the callee"},"file":{"type":"string","description":"Audio file to upload (alternative to mediaUrl). It must be a valid mp3 / wav file","format":"binary"},"ownerId":{"type":"string","description":"ID of the user who owns this call"},"personIds":{"description":"Array of person IDs for call participants. Use comma to separate values. Recommendation: include the owner's personId here to guarantee feedback generation.","type":"array","items":{"type":"string"}}},"required":["name","startDateTime"]},"PublicApiPostCallUploadResponseDto":{"type":"object","properties":{"statusCode":{"type":"number","default":200},"count":{"type":"number"},"error":{"type":"string","nullable":true},"data":{"$ref":"#/components/schemas/PublicApiCallUploadResponseDto"}},"required":["statusCode","count","error","data"]},"PublicApiCallUploadResponseDto":{"type":"object","properties":{"callId":{"type":"string","description":"Unique identifier of the uploaded call"}},"required":["callId"]}}}}
```

## Get Call by ID

> Get a call by ID.

```json
{"openapi":"3.0.0","info":{"title":"Salescaling API","version":"1.0"},"tags":[{"name":"Calls","description":"Operations related to calls"}],"servers":[{"url":"https://api.salescaling.com","description":"Base API URL"}],"security":[{},{"bearer":[]}],"paths":{"/api/v1/calls/{id}":{"get":{"operationId":"PublicApiCallController_getCallById","summary":"Get Call by ID","description":"Get a call by ID.","parameters":[{"name":"id","required":true,"in":"path","description":"Call ID to retrieve.","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiGetCallByIdResponseDto"}}}},"401":{"description":"Unauthorized - missing or invalid API key or Bearer token"}},"tags":["Calls"]}}},"components":{"schemas":{"PublicApiGetCallByIdResponseDto":{"type":"object","properties":{"statusCode":{"type":"number","default":200},"count":{"type":"number"},"error":{"type":"string","nullable":true},"data":{"$ref":"#/components/schemas/PublicApiCallDto"}},"required":["statusCode","count","error","data"]},"PublicApiCallDto":{"type":"object","properties":{"callId":{"type":"string","description":"Unique identifier for the call"},"status":{"type":"string","enum":["processing","completed"],"description":"Current status of the call"},"name":{"type":"string","description":"Name or title of the call"},"startDateTime":{"format":"date-time","type":"string","description":"Date and time when the call started"},"endDateTime":{"format":"date-time","type":"string","description":"Date and time when the call ended"},"duration":{"type":"number","description":"Duration of the call in seconds"},"description":{"type":"string","description":"Detailed description of the call"},"language":{"type":"string","description":"Language of the call in ISO 639-1 format"},"direction":{"type":"string","description":"Direction of the call (inbound/outbound)"},"fromNumber":{"type":"string","description":"Phone number of the caller"},"toNumber":{"type":"string","description":"Phone number of the callee"},"callType":{"description":"Call type associated with this call","allOf":[{"$ref":"#/components/schemas/PublicApiMeetingCallTypeDto"}]},"aiScore":{"type":"number","description":"AI score or rating of the call"},"url":{"type":"string","description":"URL of the call"}},"required":["callId","status","name","startDateTime","direction","url"]},"PublicApiMeetingCallTypeDto":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier for the call type"},"name":{"type":"string","description":"Descriptive name of the call type"}},"required":["id","name"]}}}}
```

## Delete Call

> Deletes a call by ID.

```json
{"openapi":"3.0.0","info":{"title":"Salescaling API","version":"1.0"},"tags":[{"name":"Calls","description":"Operations related to calls"}],"servers":[{"url":"https://api.salescaling.com","description":"Base API URL"}],"security":[{},{"bearer":[]}],"paths":{"/api/v1/calls/{id}":{"delete":{"operationId":"PublicApiCallController_deleteCall","summary":"Delete Call","description":"Deletes a call by ID.","parameters":[{"name":"id","required":true,"in":"path","description":"Call ID to delete.","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiDeleteCallByIdResponseDto"}}}},"401":{"description":"Unauthorized - missing or invalid API key or Bearer token"}},"tags":["Calls"]}}},"components":{"schemas":{"PublicApiDeleteCallByIdResponseDto":{"type":"object","properties":{"statusCode":{"type":"number","default":200},"count":{"type":"number"},"error":{"type":"string","nullable":true},"data":{"type":"boolean"}},"required":["statusCode","count","error","data"]}}}}
```

## Get Call Participants

> Returns a list of participants for a given call ID.

```json
{"openapi":"3.0.0","info":{"title":"Salescaling API","version":"1.0"},"tags":[{"name":"Calls","description":"Operations related to calls"}],"servers":[{"url":"https://api.salescaling.com","description":"Base API URL"}],"security":[{},{"bearer":[]}],"paths":{"/api/v1/calls/{id}/participants":{"get":{"operationId":"PublicApiCallController_getCallParticipants","summary":"Get Call Participants","description":"Returns a list of participants for a given call ID.","parameters":[{"name":"id","required":true,"in":"path","description":"Call ID to get participants from.","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiGetCallParticipantsResponseDto"}}}},"401":{"description":"Unauthorized - missing or invalid API key or Bearer token"}},"tags":["Calls"]}}},"components":{"schemas":{"PublicApiGetCallParticipantsResponseDto":{"type":"object","properties":{"statusCode":{"type":"number","default":200},"count":{"type":"number"},"error":{"type":"string","nullable":true},"data":{"$ref":"#/components/schemas/PublicApiCallParticipantsResponseDto"}},"required":["statusCode","count","error","data"]},"PublicApiCallParticipantsResponseDto":{"type":"object","properties":{"callId":{"type":"string","description":"Unique identifier of the call"},"participants":{"description":"List of participants in the call","type":"array","items":{"$ref":"#/components/schemas/PublicApiCallParticipantDto"}}},"required":["callId","participants"]},"PublicApiCallParticipantDto":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the participant"},"name":{"type":"string","description":"Name of the participant"},"phone":{"type":"string","description":"Phone number of the participant"},"isHost":{"type":"boolean","description":"Whether the participant is the host of the call"},"isInternal":{"type":"boolean","description":"Whether the participant is internal to the organization"}},"required":["id","name"]}}}}
```

## Get Call Summary

> Returns a summary for a given call ID.

```json
{"openapi":"3.0.0","info":{"title":"Salescaling API","version":"1.0"},"tags":[{"name":"Calls","description":"Operations related to calls"}],"servers":[{"url":"https://api.salescaling.com","description":"Base API URL"}],"security":[{},{"bearer":[]}],"paths":{"/api/v1/calls/{id}/summary":{"get":{"operationId":"PublicApiCallController_getCallSummary","summary":"Get Call Summary","description":"Returns a summary for a given call ID.","parameters":[{"name":"id","required":true,"in":"path","description":"Call ID to get summary from.","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiGetCallSummaryResponseDto"}}}},"401":{"description":"Unauthorized - missing or invalid API key or Bearer token"}},"tags":["Calls"]}}},"components":{"schemas":{"PublicApiGetCallSummaryResponseDto":{"type":"object","properties":{"statusCode":{"type":"number","default":200},"count":{"type":"number"},"error":{"type":"string","nullable":true},"data":{"$ref":"#/components/schemas/PublicApiCallSummaryResponseDto"}},"required":["statusCode","count","error","data"]},"PublicApiCallSummaryResponseDto":{"type":"object","properties":{"callId":{"type":"string","description":"Unique identifier of the call"},"summary":{"type":"string","description":"Summary of the call"},"nextSteps":{"description":"List of next steps identified during the call","type":"array","items":{"$ref":"#/components/schemas/PublicApiCallNextStepDto"}},"aiOpinion":{"type":"string","description":"AI-generated opinion or sentiment about the call"},"insights":{"type":"object","description":"Call insights"}},"required":["callId"]},"PublicApiCallNextStepDto":{"type":"object","properties":{"action":{"type":"string","description":"Action to be taken in the next step"},"actors":{"description":"Actors responsible for the next step","type":"array","items":{"type":"string"}},"deadline":{"type":"string","description":"Deadline for completing the next step"}},"required":["action","actors","deadline"]}}}}
```

## Get Call Transcript

> Returns a transcript for a given call ID.

```json
{"openapi":"3.0.0","info":{"title":"Salescaling API","version":"1.0"},"tags":[{"name":"Calls","description":"Operations related to calls"}],"servers":[{"url":"https://api.salescaling.com","description":"Base API URL"}],"security":[{},{"bearer":[]}],"paths":{"/api/v1/calls/{id}/transcript":{"get":{"operationId":"PublicApiCallController_getCallTranscript","summary":"Get Call Transcript","description":"Returns a transcript for a given call ID.","parameters":[{"name":"id","required":true,"in":"path","description":"Call ID to get transcript from.","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiGetCallTranscriptResponseDto"}}}},"401":{"description":"Unauthorized - missing or invalid API key or Bearer token"}},"tags":["Calls"]}}},"components":{"schemas":{"PublicApiGetCallTranscriptResponseDto":{"type":"object","properties":{"statusCode":{"type":"number","default":200},"count":{"type":"number"},"error":{"type":"string","nullable":true},"data":{"$ref":"#/components/schemas/PublicApiCallTranscriptResponseDto"}},"required":["statusCode","count","error","data"]},"PublicApiCallTranscriptResponseDto":{"type":"object","properties":{"callId":{"type":"string","description":"Unique identifier of the call"},"transcript":{"description":"List of transcript segments for the call","type":"array","items":{"$ref":"#/components/schemas/PublicApiCallTranscriptSegmentDto"}}},"required":["callId","transcript"]},"PublicApiCallTranscriptSegmentDto":{"type":"object","properties":{"startTime":{"type":"number","description":"Start time of the transcript segment in seconds"},"endTime":{"type":"number","description":"End time of the transcript segment in seconds"},"personId":{"type":"string","description":"Internal Identifier of the person who spoke"},"participantName":{"type":"string","description":"Name of the participant who spoke"},"content":{"type":"string","description":"Content of the transcript"}},"required":["startTime","endTime","personId","participantName","content"]}}}}
```

## Get Call Notes

> Returns a list of notes for a given call ID.

```json
{"openapi":"3.0.0","info":{"title":"Salescaling API","version":"1.0"},"tags":[{"name":"Calls","description":"Operations related to calls"}],"servers":[{"url":"https://api.salescaling.com","description":"Base API URL"}],"security":[{},{"bearer":[]}],"paths":{"/api/v1/calls/{id}/notes":{"get":{"operationId":"PublicApiCallController_getCallNotes","summary":"Get Call Notes","description":"Returns a list of notes for a given call ID.","parameters":[{"name":"id","required":true,"in":"path","description":"Call ID to get notes from.","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiGetCallNotesResponseDto"}}}},"401":{"description":"Unauthorized - missing or invalid API key or Bearer token"}},"tags":["Calls"]}}},"components":{"schemas":{"PublicApiGetCallNotesResponseDto":{"type":"object","properties":{"statusCode":{"type":"number","default":200},"count":{"type":"number"},"error":{"type":"string","nullable":true},"data":{"$ref":"#/components/schemas/PublicApiCallNotesResponseDto"}},"required":["statusCode","count","error","data"]},"PublicApiCallNotesResponseDto":{"type":"object","properties":{"callId":{"type":"string","description":"Unique identifier of the call"},"notes":{"description":"List of notes from the call","type":"array","items":{"$ref":"#/components/schemas/PublicApiCallNoteDto"}}},"required":["callId","notes"]},"PublicApiCallNoteDto":{"type":"object","properties":{"content":{"type":"string","description":"Content of the note"},"smartCategory":{"type":"object","description":"Smart category of the note"}},"required":["content","smartCategory"]}}}}
```

## Get Call Chat

> Returns a chat for a given call ID.

```json
{"openapi":"3.0.0","info":{"title":"Salescaling API","version":"1.0"},"tags":[{"name":"Calls","description":"Operations related to calls"}],"servers":[{"url":"https://api.salescaling.com","description":"Base API URL"}],"security":[{},{"bearer":[]}],"paths":{"/api/v1/calls/{id}/chat":{"get":{"operationId":"PublicApiCallController_getCallChat","summary":"Get Call Chat","description":"Returns a chat for a given call ID.","parameters":[{"name":"id","required":true,"in":"path","description":"Call ID to get chat from.","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiGetCallChatResponseDto"}}}},"401":{"description":"Unauthorized - missing or invalid API key or Bearer token"}},"tags":["Calls"]}}},"components":{"schemas":{"PublicApiGetCallChatResponseDto":{"type":"object","properties":{"statusCode":{"type":"number","default":200},"count":{"type":"number"},"error":{"type":"string","nullable":true},"data":{"$ref":"#/components/schemas/PublicApiCallChatResponseDto"}},"required":["statusCode","count","error","data"]},"PublicApiCallChatResponseDto":{"type":"object","properties":{"callId":{"type":"string","description":"Unique identifier of the call"},"messages":{"description":"List of chat messages in the call","type":"array","items":{"$ref":"#/components/schemas/PublicApiCallChatMessageDto"}}},"required":["callId","messages"]},"PublicApiCallChatMessageDto":{"type":"object","properties":{"question":{"type":"string","description":"Question asked in the chat"},"answer":{"type":"string","description":"Answer provided in the chat"}},"required":["question","answer"]}}}}
```

## Get Call Contacts

> Returns a list of contacts for a given call ID.

```json
{"openapi":"3.0.0","info":{"title":"Salescaling API","version":"1.0"},"tags":[{"name":"Calls","description":"Operations related to calls"}],"servers":[{"url":"https://api.salescaling.com","description":"Base API URL"}],"security":[{},{"bearer":[]}],"paths":{"/api/v1/calls/{id}/contacts":{"get":{"operationId":"PublicApiCallController_getCallContacts","summary":"Get Call Contacts","description":"Returns a list of contacts for a given call ID.","parameters":[{"name":"id","required":true,"in":"path","description":"Call ID to get contacts from.","schema":{"type":"string"}},{"name":"page","required":false,"in":"query","description":"Page number to retrieve.","schema":{"type":"number"}},{"name":"limit","required":false,"in":"query","description":"Number of items per page.","schema":{"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiGetCallContactsResponseDto"}}}},"401":{"description":"Unauthorized - missing or invalid API key or Bearer token"}},"tags":["Calls"]}}},"components":{"schemas":{"PublicApiGetCallContactsResponseDto":{"type":"object","properties":{"statusCode":{"type":"number","default":200},"count":{"type":"number"},"error":{"type":"string","nullable":true},"data":{"$ref":"#/components/schemas/PublicApiMeetingContactDto"}},"required":["statusCode","count","error","data"]},"PublicApiMeetingContactDto":{"type":"object","properties":{"contactId":{"type":"string","description":"Contact ID"}},"required":["contactId"]}}}}
```

## Get Call Companies

> Returns a list of companies for a given call ID.

```json
{"openapi":"3.0.0","info":{"title":"Salescaling API","version":"1.0"},"tags":[{"name":"Calls","description":"Operations related to calls"}],"servers":[{"url":"https://api.salescaling.com","description":"Base API URL"}],"security":[{},{"bearer":[]}],"paths":{"/api/v1/calls/{id}/companies":{"get":{"operationId":"PublicApiCallController_getCallCompanies","summary":"Get Call Companies","description":"Returns a list of companies for a given call ID.","parameters":[{"name":"id","required":true,"in":"path","description":"Call ID to get companies from.","schema":{"type":"string"}},{"name":"page","required":false,"in":"query","description":"Page number to retrieve.","schema":{"type":"number"}},{"name":"limit","required":false,"in":"query","description":"Number of items per page.","schema":{"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiGetCallCompaniesResponseDto"}}}},"401":{"description":"Unauthorized - missing or invalid API key or Bearer token"}},"tags":["Calls"]}}},"components":{"schemas":{"PublicApiGetCallCompaniesResponseDto":{"type":"object","properties":{"statusCode":{"type":"number","default":200},"count":{"type":"number"},"error":{"type":"string","nullable":true},"data":{"$ref":"#/components/schemas/PublicApiMeetingCompanyDto"}},"required":["statusCode","count","error","data"]},"PublicApiMeetingCompanyDto":{"type":"object","properties":{"companyId":{"type":"string","description":"Company ID"}},"required":["companyId"]}}}}
```

## Get Call Opportunities

> Returns a list of opportunities for a given call ID.

```json
{"openapi":"3.0.0","info":{"title":"Salescaling API","version":"1.0"},"tags":[{"name":"Calls","description":"Operations related to calls"}],"servers":[{"url":"https://api.salescaling.com","description":"Base API URL"}],"security":[{},{"bearer":[]}],"paths":{"/api/v1/calls/{id}/opportunities":{"get":{"operationId":"PublicApiCallController_getCallOpportunities","summary":"Get Call Opportunities","description":"Returns a list of opportunities for a given call ID.","parameters":[{"name":"id","required":true,"in":"path","description":"Call ID to get opportunities from.","schema":{"type":"string"}},{"name":"page","required":false,"in":"query","description":"Page number to retrieve.","schema":{"type":"number"}},{"name":"limit","required":false,"in":"query","description":"Number of items per page.","schema":{"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiGetCallOpportunitiesResponseDto"}}}},"401":{"description":"Unauthorized - missing or invalid API key or Bearer token"}},"tags":["Calls"]}}},"components":{"schemas":{"PublicApiGetCallOpportunitiesResponseDto":{"type":"object","properties":{"statusCode":{"type":"number","default":200},"count":{"type":"number"},"error":{"type":"string","nullable":true},"data":{"$ref":"#/components/schemas/PublicApiMeetingOpportunityDto"}},"required":["statusCode","count","error","data"]},"PublicApiMeetingOpportunityDto":{"type":"object","properties":{"opportunityId":{"type":"string","description":"Opportunity ID"}},"required":["opportunityId"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.salescaling.com/api/calls.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
